package arbre_ini;

/**
 * 
 * @author santini
 * 
 * Définition et gestion d'un noeud.
 *
 */
public class Noeud {
	
	private final String nom;
	private final Integer coeff;
	private Integer valeur;
	
	public Noeud(String n, Integer v, Integer c) {
		this.nom = n;
		this.valeur = v;
		this.coeff = c;
	}

	public Integer getValeur() {
		return valeur;
	}

	public void setValeur(Integer valeur) {
		this.valeur = valeur;
	}

	public String getNom() {
		return nom;
	}

	public Integer getCoeff() {
		return coeff;
	}
	
	public String toString() {
		return "(" + this.getNom() + " ," + this.getValeur() + ", " + this.getCoeff() + ")";
	}
	
	public void majValeur(Integer v) {
		this.setValeur(this.getValeur() + this.getCoeff() * v);
	}
}
